summaryrefslogtreecommitdiff
path: root/tests/no-mode-change-git-diff
diff options
context:
space:
mode:
Diffstat (limited to 'tests/no-mode-change-git-diff')
-rw-r--r--tests/no-mode-change-git-diff34
1 files changed, 34 insertions, 0 deletions
diff --git a/tests/no-mode-change-git-diff b/tests/no-mode-change-git-diff
new file mode 100644
index 0000000..2f9bc36
--- /dev/null
+++ b/tests/no-mode-change-git-diff
@@ -0,0 +1,34 @@
+# Copyright (C) 2010-2012 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# in any medium, are permitted without royalty provided the copyright
+# notice and this notice are preserved.
+
+. $srcdir/test-lib.sh
+
+require cat
+require chmod
+require stat
+use_local_patch
+use_tmpdir
+
+echo 'ksplice' > f
+chmod 755 f
+
+cat > simple.diff <<EOF
+diff --git a/f b/f
+index 422a422a..736b6c7063690a 100644
+--- a/f
++++ b/f
+@@ -1 +1 @@
+-ksplice
++ksplice rocks!
+EOF
+
+check 'patch -p1 < simple.diff || echo "Status: $?"' <<EOF
+patching file f
+EOF
+
+check 'stat -c "%a" f'<<EOF
+755
+EOF